Description

The content made available at the following URI http://dataminer.d4science.org/wps/ should be customized, it is currently based on

52' North WPS standard text.

The page should report at least:

information on the service provider, i.e. D4Science;

a very brief description of the service;

credits for the underlying technology, i.e. 52' North WPS, as well as for gCube;

information on "credentials" needed to access the service;

some links to "standard" calls, e.g. getCapabilities;

According to my understanding this is a page aiming at describing the service for a human user.  

History

#1 - Feb 18, 2016 03:14 PM - Gianpaolo Coro

That's only a tomcat html page of the WPS application, which must refer to 52North because of their policies. 

When a WPS service goes into a catalogue, the GetCapabilities is indicated only, which also contains metadata and functionalities.

Thus, D4Science reference and the other capabilities are here:

http://dataminer.d4science.org/wps/WebProcessingService?Request=GetCapabilities&Service=WPS&gcube-token=aa291a

2b-793c-4e5f-a759-044bd50cd414

#2 - Feb 18, 2016 03:36 PM - Pasquale Pagano

Gianpaolo Coro wrote:

That's only a tomcat html page of the WPS application, which must refer to 52North because of their policies. 

 I remember that it is distributed with a GPL license that does not prevent to change those things. Where you find those policies?

I would believe that we can safely change that page as we prefer.

#3 - Feb 18, 2016 04:05 PM - Gianpaolo Coro

That's my interpretation of this phrase in the license page: all contributors sign a Contributors License Agreement (CLA) – a contract between

contributors and 52°North, which grants 52°North the rights needed to manage and sublicense the software contributions as part of the 52°North

software stack.

The licensing page is here: 

http://52north.org/about/licensing

 You will be able to interpret it better than me. Consider that page is present also on other WPS services based on 52N.

#4 - Feb 18, 2016 04:33 PM - Leonardo Candela

We should not confuse the software license with the content of a webpage that results from an operational instance / a service based on the software.

I'm quite confident that adding a sentence like ... this service is based on 52' North WPS technlogy is more than sufficient to give credits. 

#5 - Feb 18, 2016 05:40 PM - Gianpaolo Coro
You are more expert than me on this. That is a simple index.hml page, please could you suggest me one alternative?

#6 - Mar 02, 2016 10:48 AM - Gianpaolo Coro

- Status changed from New to In Progress

- Assignee changed from Gianpaolo Coro to Leonardo Candela

#7 - Mar 02, 2016 04:57 PM - Leonardo Candela

- Status changed from In Progress to Paused

#8 - Apr 11, 2019 06:40 PM - Leonardo Candela

- Status changed from Paused to Closed

- % Done changed from 0 to 100

The servers are now configured to support this request, e.g. http://dataminer-prototypes.d4science.org/wps/  
